Summary:   Professional FTP daemon with apache-like configuration syntax
Name:      proftpd
Version:   1.2.0pre3
Release:   1
Group:     Networking/Daemons
Copyright: GPL
Url:       http://www.proftpd.org/
Packager:  Hao Li <hli@wag.caltech.edu>
Source0:   ftp://ftp.proftpd.org/distrib/%{name}-%{version}.tar.gz
Source1:   proftpd.conf
Source2:   proftpd.logrotate
Provides:  ftpserver
Conflicts: wu-ftpd ncftpd beroftpd
BuildRoot: /var/tmp/%{name}-root

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems.

ProFTPD is designed to be somewhat of a "drop-in" replacement for wu-ftpd.
Full online documentation is available at http://www.proftpd.org,
including a server configuration directive reference manual.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/run \
	--disable-shadow
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/sbin,etc/logrotate.d,var/run}
make INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` \
	prefix=$RPM_BUILD_ROOT/usr \
	sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var/run \
	rundir=$RPM_BUILD_ROOT/var/run/proftpd \
	install
ln -sf proftpd $RPM_BUILD_ROOT/usr/sbin/in.proftpd

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/proftpd


%post
fgrep -q -s in.proftpd /etc/inetd.conf || \
	perl -pi -e 's|in.ftpd -l -a|in.proftpd|' /etc/inetd.conf
killall -HUP inetd 2> /dev/null ||:

%postun
if [ $1 = 0 ] ; then
	perl -pi -e 's|in.proftpd|in.ftpd -l -a|' /etc/inetd.conf
fi
killall -HUP inetd 2> /dev/null ||:


%files
%defattr(-,root,root)
%doc COPYING INSTALL README README.linux-privs changelog sample-configurations
%config /etc/proftpd.conf
%config /etc/logrotate.d/proftpd
/usr/bin/*
/usr/sbin/*
/usr/man/man*/*
/var/run/proftpd


%clean
rm -rf $RPM_BUILD_ROOT
